
using Spring.JmsInterop.Bo;
using Spring.Messaging.Tibco.Ems;

namespace Spring.JmsInterop.Gateway
{
    public class JmsStockServiceGateway : JmsGatewaySupport, IStockServiceGateway
    {
        public void Send(TradeRequest tradeRequest)
        {
            JmsTemplate.ConvertAndSend(tradeRequest);
        }

        public void Send(PortfolioRequest portfolioRequest)
        {
            JmsTemplate.ConvertAndSend(portfolioRequest);
        }
    }

}
