using System;
using System.Collections;
using NUnit.Framework;
using Spring.JmsInterop.Bo;
using Spring.Messaging.Tibco.Ems.Support.Converter;
using TIBCO.EMS;

namespace Spring.JmsInterop.Converters
{
    [TestFixture]
    public class ReflectionMessageConverterTests : BaseMessageConverterTests
    {

        [Test]
        public void TradeRequestTest()
        {
            IMessageConverter converter = GetReflectionMessageConverter();
            TestTradeRequestConversion(converter);
        }

        [Test]
        public void PortfolioTest()
        {
            IMessageConverter converter = GetReflectionMessageConverter();
            Portfolio portfolio = CreatePortfolio();

            TestPorfolioConversion(converter, portfolio);
        }
        
    }
}